ランタイム: Mix::Dynamics::IJoint Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Mix::Dynamics::IJoint Class Referenceabstract

ジョイントインターフェース More...

`#include <IJoint.h>`

Inheritance diagram for Mix::Dynamics::IJoint:
[legend]
Collaboration diagram for Mix::Dynamics::IJoint:
[legend]

## Public Types

enum | TYPE { POINT = 0, HINGE = 1, BALL = 2, SLIDER = 3, DOF = 4 }
| タイプ列挙定数 More...

## Public Member Functions

virtual | ~IJoint (void)
| デストラクタ More...
virtual Mix::Dynamics::IJoint::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | IsInWorld (void) const =0
| ワールドに配置されているかどうかを確認します More...
virtual Boolean | IsEnabled (void) const =0
| 接続が有効かどうかを確認します More...
virtual void | SetEnabled (Boolean state)=0
| 接続を有効にするかどうかを設定します More...
virtual Float32 | GetBreakingImpulseThreshold (void) const =0
| 接続が解除される力を取得します More...
virtual void | SetBreakingImpulseThreshold (Float32 threshold)=0
| 接続を解除する力を設定します More...
virtual Boolean | IsSingle (void) const =0
| シングルかどうかを取得します More...
virtual void | GetRigidBodyA (Mix::Dynamics::IRigidBody **ppRigidBody)=0
| リジッドボディAを取得します More...
virtual void | GetRigidBodyB (Mix::Dynamics::IRigidBody **ppRigidBody)=0
| リジッドボディBを取得します More...
virtual const Mix::Vector3 & | GetPivotA (void) const =0
| リジッドボディＡのピボットを取得します More...
virtual void | SetPivotA (const Mix::Vector3 &pivot)=0
| リジッドボディＡのピボットを設定します More...
virtual const Mix::Vector3 & | GetPivotB (void) const =0
| リジッドボディＢのピボットを取得します More...
virtual void | SetPivotB (const Mix::Vector3 &pivot)=0
| リジッドボディＢのピボットを設定します More...
virtual UInt32 | Debug_GetDrawFlags (void) const =0
| デバッグ : 描画フラグを取得します More...
virtual void | Debug_SetDrawFlags (UInt32 flags)=0
| デバッグ : 描画フラグを設定します More...
virtual Float32 | Debug_GetDrawFrameMinSize (void) const =0
| デバッグ : フレームを描画する際の最小サイズを取得します More...
virtual void | Debug_SetDrawFrameMinSize (Float32 minSize)=0
| デバッグ : フレームを描画する際の最小サイズを設定します More...
virtual Float32 | Debug_GetDrawLimitScaling (void) const =0
| デバッグ : リミットを描画する際のを取得します More...
virtual void | Debug_SetDrawLimitScaling (Float32 scaling)=0
| デバッグ : リミットを描画する際のスケールを設定します More...
virtual void | Debug_Draw (Mix::Graphics::Utility::IPerspectiveRenderer *pPerspectiveRenderer, Float32 opacity=1.0f)=0
| デバッグ描画をします More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Additional Inherited Members

Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

ジョイントインターフェース

## Member Enumeration Documentation

enum Mix::Dynamics::IJoint::TYPE

タイプ列挙定数

Enumerator
POINT | ポイント
HINGE | ヒンジ
BALL | ボール
SLIDER | スライダー
DOF | DOF.

## Constructor & Destructor Documentation

virtual Mix::Dynamics::IJoint::~IJoint | ( | void |  | ) |

inlinevirtual

デストラクタ

## Member Function Documentation

virtual Mix::Dynamics::IJoint::TYPE Mix::Dynamics::IJoint::GetType | ( | void |  | ) | const

pure virtual

種類を取得します

Returns
  種類を表す Mix::Dynamics::IJoint::TYPE 列挙定数

virtual Boolean Mix::Dynamics::IJoint::IsInWorld | ( | void |  | ) | const

pure virtual

ワールドに配置されているかどうかを確認します

Returns
  配置されている場合は True を返します

virtual Boolean Mix::Dynamics::IJoint::IsEnabled | ( | void |  | ) | const

pure virtual

接続が有効かどうかを確認します

Returns
  有効な場合は True を返します

virtual void Mix::Dynamics::IJoint::SetEnabled | ( | Boolean | state | ) |

pure virtual

接続を有効にするかどうかを設定します

Parameters

  [in] | state | 有効にする場合は True

virtual Float32 Mix::Dynamics::IJoint::GetBreakingImpulseThreshold | ( | void |  | ) | const

pure virtual

接続が解除される力を取得します

Returns
  解除される力を返します

virtual void Mix::Dynamics::IJoint::SetBreakingImpulseThreshold | ( | Float32 | threshold | ) |

pure virtual

接続を解除する力を設定します

Parameters

  [in] | threshold | 解除される力( 単位はニュートン )

Note
  重力よりも大きい値を設定する必要があります

virtual Boolean Mix::Dynamics::IJoint::IsSingle | ( | void |  | ) | const

pure virtual

シングルかどうかを取得します

Returns
  シングルの場合は True を返します

Note
  シングルとは、リジッドボディＡのみ指定されていてで、リジッドボディＢが指定されていない場合のことを言います

virtual void Mix::Dynamics::IJoint::GetRigidBodyA | ( | Mix::Dynamics::IRigidBody ** | ppRigidBody | ) |

pure virtual

リジッドボディAを取得します

Parameters

  [out] | ppRigidBody | 取得したリジッドボディAを表す Mix::Dynamics::IRigidBody インターフェースのポインタのアドレス

Note
  取得したリジッドボディは、参照カウンタを +1 します

virtual void Mix::Dynamics::IJoint::GetRigidBodyB | ( | Mix::Dynamics::IRigidBody ** | ppRigidBody | ) |

pure virtual

リジッドボディBを取得します

Parameters

  [out] | ppRigidBody | 取得したリジッドボディBを表す Mix::Dynamics::IRigidBody インターフェースのポインタのアドレス

Note
  取得したリジッドボディは、参照カウンタを +1 します

virtual const Mix::Vector3& Mix::Dynamics::IJoint::GetPivotA | ( | void |  | ) | const

pure virtual

リジッドボディＡのピボットを取得します

Returns
  ピボットを表す Mix::Vectro3 クラスを返します

virtual void Mix::Dynamics::IJoint::SetPivotA | ( | const Mix::Vector3 & | pivot | ) |

pure virtual

リジッドボディＡのピボットを設定します

Parameters

  [in] | pivot | ピボットを表す Mix::Vectro3 クラス

virtual const Mix::Vector3& Mix::Dynamics::IJoint::GetPivotB | ( | void |  | ) | const

pure virtual

リジッドボディＢのピボットを取得します

Returns
  ピボットを表す Mix::Vectro3 クラスを返します

virtual void Mix::Dynamics::IJoint::SetPivotB | ( | const Mix::Vector3 & | pivot | ) |

pure virtual

リジッドボディＢのピボットを設定します

Parameters

  [in] | pivot | ピボットを表す Mix::Vectro3 クラス

virtual UInt32 Mix::Dynamics::IJoint::Debug_GetDrawFlags | ( | void |  | ) | const

pure virtual

デバッグ : 描画フラグを取得します

Returns
  描画フラグを表す Mix::Dynamics::DEBUG_DRAW_FLAG 列挙定数の組み合わせを返します

virtual void Mix::Dynamics::IJoint::Debug_SetDrawFlags | ( | UInt32 | flags | ) |

pure virtual

デバッグ : 描画フラグを設定します

Parameters

  [in] | flags | 描画フラグを表す Mix::Dynamics::DEBUG_DRAW_FLAG 列挙定数の組み合わせ

virtual Float32 Mix::Dynamics::IJoint::Debug_GetDrawFrameMinSize | ( | void |  | ) | const

pure virtual

デバッグ : フレームを描画する際の最小サイズを取得します

Returns
  フレームを描画する際の最小サイズを返します

virtual void Mix::Dynamics::IJoint::Debug_SetDrawFrameMinSize | ( | Float32 | minSize | ) |

pure virtual

デバッグ : フレームを描画する際の最小サイズを設定します

Parameters

  [in] | minSize | フレームを描画する際の最小サイズ( 0.0f以上 )

virtual Float32 Mix::Dynamics::IJoint::Debug_GetDrawLimitScaling | ( | void |  | ) | const

pure virtual

デバッグ : リミットを描画する際のを取得します

Returns
  リミットを描画する際のスケールを返します

virtual void Mix::Dynamics::IJoint::Debug_SetDrawLimitScaling | ( | Float32 | scaling | ) |

pure virtual

デバッグ : リミットを描画する際のスケールを設定します

Parameters

  [in] | scaling | リミットを描画する際のスケール( 0.0f以上 )

virtual void Mix::Dynamics::IJoint::Debug_Draw | ( | Mix::Graphics::Utility::IPerspectiveRenderer * | pPerspectiveRenderer,
|  | Float32 | opacity = `1.0f`
| ) |  |

pure virtual

デバッグ描画をします

Parameters

  [in] | pPerspectiveRenderer | デバッグ描画用のインターフェースを表す Mix::Graphics::Utility::IPerspectiveRenderer インターフェースのポインタ
  [in] | opacity | 不透明度( 0.0f〜1.0f )

The documentation for this class was generated from the following file:

- Mix/Dynamics/IJoint.h